Package twisted :: Package names :: Module authority

[frames | no frames]

## Module twisted.names.authority

Classes
`BindAuthority` | An Authority that loads BIND configuration files
`FileAuthority` | An Authority that is loaded from a file.
`PySourceAuthority` | A FileAuthority that is built up from Python source code.

Function Summary
| ``getSerial`(filename)` Return a monotonically increasing (across program runs) integer.

Function Details

### getSerial(filename='/tmp/twisted-names.serial')

Return a monotonically increasing (across program runs) integer.

State is stored in the given file. If it does not exist, it is created with rw-/---/--- permissions.

Generated by Epydoc 2.0 on Sat May 15 20:08:28 2004 | http://epydoc.sf.net